commit:     2b20d665f870c4cd022e7c28ef7a9a6a5bf93029
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  6 07:42:27 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Nov  6 08:01:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b20d665

dev-python/sphinxcontrib-spelling: Bump to 7.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinxcontrib-spelling/Manifest         |  1 +
 .../sphinxcontrib-spelling-7.1.0.ebuild            | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinxcontrib-spelling/Manifest 
b/dev-python/sphinxcontrib-spelling/Manifest
index 315e654160a..727d0defdbc 100644
--- a/dev-python/sphinxcontrib-spelling/Manifest
+++ b/dev-python/sphinxcontrib-spelling/Manifest
@@ -2,3 +2,4 @@ DIST sphinxcontrib-spelling-5.3.0.tar.gz 45665 BLAKE2B 
c44c8c2621aecd74734c6137e
 DIST sphinxcontrib-spelling-5.4.0.tar.gz 46823 BLAKE2B 
8303a97b87d953a37db4548d895559baf93969c11f8417aafeb67804ec537f9ea028bcbf6a56eb3290f13871a782dcde142b1927865a6f9eefd5a20dc53061b1
 SHA512 
7e0fe6289f9482982825a1204c926490a1e31dc85e25e6418ba47f5575430875e3df5f77202ad458044b810bc2a29f989e6bc6f0c9b4934af938716a4ab887f0
 DIST sphinxcontrib-spelling-7.0.0.tar.gz 46859 BLAKE2B 
08b8fb68f485ce9a091ad889999887c1683c39a99d8b138b1215228a01696181c0c1876004506f54a89812aa96dcb4936145f105829d82017576329bba416f4f
 SHA512 
b5c9585e171747addc2c9d00ede4e4c290286a6f35921fc54bb8a88bb9574b01494e5e7dbf492d59e74afd3c815a2814a4b7d27b3c3aa98a7b6b8934626d2bde
 DIST sphinxcontrib-spelling-7.0.1.tar.gz 47435 BLAKE2B 
c61d6c91f1765cbe793474f22df571fe0dff59caaef68caf48a5e43c211c589cfcdeb4a9cf397568d48071258ad945637db586c5b3c46b0002fb01248b8d4abd
 SHA512 
54e48361554c54c75aa02512cd70759fbbd439947c9a0258e80d377598d4ed63abd7adcff51c898dcfc93c8b2176395d51830cfebd55a81a4fee13740733dea8
+DIST sphinxcontrib-spelling-7.1.0.tar.gz 49353 BLAKE2B 
59e1f5e3fadeb175fb3d1b7a77acdb23e532456de053f886507c76189bf5f657a948d6288625110ccacfb5b673f23d209e6164f3535da30559f0ac4e792f34e9
 SHA512 
b8ae9ad79afacd362a986dc63d3be87b91d3560333bbcb026ab7d64fa8139e05e048d5e868df0fc40a159a3c44aeac01191df5ef8208bbcd7e35242f9a0b97be

diff --git 
a/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.1.0.ebuild 
b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.1.0.ebuild
new file mode 100644
index 00000000000..6819f5557b2
--- /dev/null
+++ b/dev-python/sphinxcontrib-spelling/sphinxcontrib-spelling-7.1.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Sphinx spelling extension"
+HOMEPAGE="https://github.com/sphinx-contrib/spelling";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               >=dev-python/importlib_metadata-1.7.0[${PYTHON_USEDEP}]
+       ' python3_{6,7})
+       dev-python/pyenchant[${PYTHON_USEDEP}]
+       dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       dev-python/pbr[${PYTHON_USEDEP}]
+       test? (
+               app-dicts/myspell-en
+       )
+"
+
+# The doc can only be built from a git repository
+distutils_enable_tests pytest
+
+# We don't want distutils_enable_tests to add the namespace
+# package to BDEPEND under "test?". Therefore we add it to RDEPEND
+# after running distutils_enable_tests.
+RDEPEND+="
+       dev-python/namespace-sphinxcontrib[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       # Needs to be run from a git repository
+       sed -i 's/test_contributors/_&/' \
+               tests/test_filter.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${ED}" -name '*.pth' -delete || die
+}

Reply via email to